<template>
	<div>
		<button v-clipboard:copy="$store.state.user.token" v-clipboard:success="succ">复制token</button>
		<i-frame :src="url" />
	</div>
</template>
<script>
	import iFrame from '@/components/iFrame/index'
	export default {
		name: 'Swagger',
		components: { iFrame },
		data() {
			return {
				url: process.env.VUE_APP_BASE_API + '/swagger-ui/index.html'
			}
		},
		methods: {
			succ() {
				this.$msg({ message: '复制成功' })
			}
		}
	}
</script>
